//---------------------------------------------------------------------------
//
// This source code of DLL can be compiled by Borland Delphi Compiler
//
//   (c) 1991, 2001 Slvek Rydval, slavek@rydval.cz
//                             http://www.rydval.cz
//                             http://www.rydval.cz/rkEdit
//
// This is example how to create own dll for rkEdit compiler log parser.
// For more details see documentation.
//

library xml;
{$R *.res}
uses
  ShareMem,
  SysUtils,
  Classes,
  LogAnalyzatorsTypes in 'LogAnalyzatorsTypes.pas';

//-----------------------------------------------------------------------------
//                                                             GetCapability
//-----------------------------------------------------------------------------
function GetCapability: TrkEditCapability; stdcall;
begin {GetCapability}
  Result.Version := CurrentVersion;
  Result.SupportedFunctionType := spStringList;
end; {GetCapability}
//-----------------------------------------------------------------------------
//                                                         GetXYOfFirstError
//-----------------------------------------------------------------------------
function GetXYOfFirstError (const LogString: TStrings; var ErrX, ErrY, LogX,
                            LogY: integer): integer; stdcall;
var
  S: string;
begin {GetXYOfFirstError}
  //Error code is on line 1 and 2
  if LogString.Count < 2 then
  begin
    Result := -1;
    ErrX   := -1;
    ErrY   := -1;
    exit;
  end;

  s := LogString [0];
  s := copy (s, LastDelimiter (' ', s)+1, length (s));
  ErrY := StrToIntDef (s, -1);

  s := LogString [1];
  s := copy (s, LastDelimiter (' ', s)+1, length (s));
  ErrX := StrToIntDef (s, -1);

  LogX := 1;
  LogY := 1;

  Result := 0;
end; {GetXYOfFirstError}

exports
  GetCapability,
  GetXYOfFirstError;

begin
end.
